fuzaylov/bootstrap

Helper library to create Bootstrap html fields

Installs: 59

Dependents: 0

Stars: 6

Watchers: 1

Language: PHP

0.3.2 2015-06-24 18:57 UTC

README

If you find yourself entering the same HTML and blade code just to display an html form field, this package might be for you.

Install

Pull this package in through Composer.

{
    "require": {
        "fuzaylov/bootstrap": "0.3.0"
    }
}

Laravel 5

Note, for laravel 4, use fuzaylov/bootstrap version 0.2.5

Once installed, you need to register Laravel service provider, in your app/config/app.php:

'providers' => array(
    ...
    'Illuminate\Html\HtmlServiceProvider',
    'Fuzaylov\Bootstrap\BootstrapServiceProvider'
)

'aliases' => array(
    ...
    'Form'      => 'Illuminate\Html\FormFacade',
)

Usage

See tests/sample.blade.php for some sample usages. For a full list of supported fields, see Bootstrap.php

Have fun!

Aleks